Endpoint
GET https://pay.sandbox.yabetoopay.com/v1/remittance # Sandbox
GET https://pay.api.yabetoopay.com/v1/remittance # Production
Authentification
Utilisez votre clé secrète dans l’en-têteAuthorization :
Authorization: Bearer YOUR_SECRET_KEY
Paramètres de requête
| Paramètre | Type | Description |
|---|---|---|
limit | integer | Nombre d’éléments par page (défaut: 10, max: 100) |
page | integer | Numéro de la page (commence à 1) |
Exemple de requête
curl "https://pay.sandbox.yabetoopay.com/v1/remittance?limit=10&page=1" \
-H "Authorization: Bearer YOUR_SECRET_KEY"
import Yabetoo from "@yabetoo/sdk-js";
const yabetoo = new Yabetoo("YOUR_SECRET_KEY");
const remittances = await yabetoo.remittances.list({
limit: 10,
page: 1,
});
from yabetoo import Yabetoo
yabetoo = Yabetoo("YOUR_SECRET_KEY")
remittances = yabetoo.remittances.list(limit=10, page=1)
<?php
require 'vendor/autoload.php';
use Yabetoo\Yabetoo;
$yabetoo = new Yabetoo("YOUR_SECRET_KEY");
$remittances = $yabetoo->remittances->all([
"limit" => 10,
"page" => 1,
]);
import com.yabetoo.Yabetoo;
import com.yabetoo.YabetooConfig;
import com.yabetoo.model.Remittance;
import com.yabetoo.model.RemittanceCollection;
import com.yabetoo.request.RemittanceListParams;
YabetooConfig config = new YabetooConfig()
.setApiKey("YOUR_SECRET_KEY");
Yabetoo yabetoo = new Yabetoo(config);
RemittanceListParams params = RemittanceListParams.builder()
.limit(10)
.page(1)
.build();
RemittanceCollection remittances = yabetoo.remittances().list(params);
Réponse
200 OK
{
"data": [
{
"id": "rem_RMqehxy8NNi1ocJFG2SSAZMj81m6spo72vnZ",
"object": "remittance",
"amount": 1000,
"currency": "xaf",
"status": "succeeded",
"firstName": "Jean",
"lastName": "Dupont",
"operatorName": "mtn",
"country": "cg",
"phone": "242066594470",
"type": 1,
"shouldExecutedAt": "2025-03-18T09:24:57.555Z",
"createdAt": "2025-03-17T10:24:57.559+01:00",
"updatedAt": "2025-03-17T10:24:57.559+01:00"
}
],
"meta": {
"total": 45,
"page": 1,
"limit": 10,
"pages": 5
}
}
Statuts du transfert
| Statut | Description |
|---|---|
pending | Le transfert est en attente de traitement |
processing | Le transfert est en cours de traitement |
succeeded | Le transfert a réussi |
failed | Le transfert a échoué |
401 Non autorisé
{
"message": "Unauthorized"
}